Health routes
Generated from openapi.yaml of games-api 0.7.0: 3 routes.
GET /healthz: Liveness, no dependencyGET /api/health: Readiness, SELECT 1 and Redis PINGGET /metrics: Prometheus metrics
GET /healthz
curl 'https://api.filudi.com/healthz'const response = await fetch('https://api.filudi.com/healthz');const text = await response.text();import requests
response = requests.get('https://api.filudi.com/healthz')response.raise_for_status()text = response.textLiveness, no dependency
Credential: none. The route is public.
Responses
Section titled “Responses”| Status | Body | Description |
|---|---|---|
| 200 | "ok" (text/plain) | Process alive. |
GET /api/health
curl 'https://api.filudi.com/api/health'const response = await fetch('https://api.filudi.com/api/health');const data = await response.json();import requests
response = requests.get('https://api.filudi.com/api/health')response.raise_for_status()data = response.json()Readiness, SELECT 1 and Redis PING
Credential: none. The route is public.
Responses
Section titled “Responses”| Status | Body | Description |
|---|---|---|
| 200 | object | Ready. |
| 503 | none | Database unreachable. |
Body of 200
| Property | Type | Required | Description |
|---|---|---|---|
db | "ok" | no | |
redis | one of "ok", "degraded" | no |
GET /metrics
curl 'https://api.filudi.com/metrics'const response = await fetch('https://api.filudi.com/metrics');const text = await response.text();import requests
response = requests.get('https://api.filudi.com/metrics')response.raise_for_status()text = response.textPrometheus metrics
Credential: none. The route is public.
Responses
Section titled “Responses”| Status | Body | Description |
|---|---|---|
| 200 | text/plain | Text exposition format. |